Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.event.comment
Class AbstractEmailNotificationListener

    java.lang.Object
      net.sourceforge.pebble.event.comment.CommentListenerSupport
          net.sourceforge.pebble.event.comment.AbstractEmailNotificationListener

All Implemented Interfaces:
  CommentListener

Direct Known Subclasses:
  EmailAuthorNotificationListener, EmailNotificationListener

    public abstract class AbstractEmailNotificationListener

extends CommentListenerSupport

Base class for listeners that send an e-mail notification when new comments are added.

Author:
  Simon Brown

Constructor Summary
`AbstractEmailNotificationListener()`

Method Summary
`void` | `commentAdded(CommentEvent event)` Called when a comment has been added.
`void` | `commentApproved(CommentEvent event)` Called when a comment has been approved.
`protected abstract java.util.Collection` | `getEmailAddresses(Comment comment)` Returns the collection of recipients.

Methods inherited from class net.sourceforge.pebble.event.comment.CommentListenerSupport
`commentRejected, commentRemoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEmailNotificationListener

    public AbstractEmailNotificationListener()

Method Detail

### commentAdded

    public void commentAdded(CommentEvent event)

  Called when a comment has been added.

  Specified by:
    `commentAdded` in interface `CommentListener`
  Overrides:
    `commentAdded` in class `CommentListenerSupport`
  Parameters:
    `event` - a CommentEvent instance

### commentApproved

    public void commentApproved(CommentEvent event)

  Called when a comment has been approved.

  Specified by:
    `commentApproved` in interface `CommentListener`
  Overrides:
    `commentApproved` in class `CommentListenerSupport`
  Parameters:
    `event` - a CommentEvent instance

### getEmailAddresses

    protected abstract java.util.Collection getEmailAddresses(Comment comment)

  Returns the collection of recipients.

  Parameters:
    `comment` - the Comment from the event
  Returns:
    a Collection of e-mail addresses (Strings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.